<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC 
"-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.lerx.entities">
	<class name="AlbumFans" table="album_fans" dynamic-update="true">
		<id name="id" column="id">
			<generator class="native" />
		</id>
		<property name="note" />
		<property name="createTime" />
		<property name="lastVisitTime" />
		<property name="lastViewedID" />
		<property name="blacklisted" />
		
		<many-to-one name="tagAlb" column="tagAlbID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="Album" />
		<many-to-one name="ownHome" column="ownAlbID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="Album" />
		<many-to-one name="user" column="userID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="User" />
		<many-to-one name="fg" column="fgID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="FansGroup" />	
			
	</class>
</hibernate-mapping>
